> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Plan

> Retrieves details for a single plan.



## OpenAPI

````yaml get /plans/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /plans/{public_id}:
    get:
      tags:
        - plans
      description: Retrieves details for a single plan.
      operationId: plans_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plan'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Plan:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        plan_name:
          type: string
          readOnly: true
        plan_type:
          type: string
          nullable: true
          readOnly: true
        line_of_coverage:
          allOf:
            - $ref: '#/components/schemas/LineOfCoverageEnum'
          readOnly: true
        group:
          type: string
        effective_start:
          type: string
          format: date
          readOnly: true
        effective_end:
          type: string
          format: date
          readOnly: true
        member_count:
          type: integer
          readOnly: true
        dependent_count:
          type: integer
          readOnly: true
        requires_primary_care_provider:
          type: boolean
          readOnly: true
        is_low_cost:
          type: boolean
          nullable: true
        provides_minimum_value:
          type: boolean
          nullable: true
        provides_essential_coverage:
          type: boolean
          nullable: true
        dependent_coverage_excluded:
          type: boolean
          nullable: true
        spouse_coverage_excluded:
          type: boolean
          nullable: true
        plan_details:
          readOnly: true
        plan_summary_url:
          type: string
          nullable: true
          readOnly: true
        bundle:
          type: string
          nullable: true
        premium_type:
          type: string
          enum:
            - composite
            - age_banded
            - volume_based
          nullable: true
        partner_dependents_eligible:
          type: boolean
          readOnly: true
        child_dependents_eligible:
          type: boolean
          readOnly: true
        voluntary_coverage_options:
          type: object
          nullable: true
          readOnly: true
        plan_configurations:
          type: array
          items:
            type: string
          readOnly: true
        required_enrollment:
          type: boolean
          readOnly: true
        hsa_eligible:
          type: boolean
        is_pre_tax:
          type: boolean
          readOnly: true
        cobra_eligible:
          type: boolean
          readOnly: true
        max_contributing_children:
          type: integer
          nullable: true
          readOnly: true
        required_regions:
          type: array
          items:
            $ref: '#/components/schemas/StateEnum'
          readOnly: true
        minimum_hours_worked:
          type: integer
          nullable: true
          readOnly: true
        base_spouse_age_off_member:
          type: integer
          nullable: true
          readOnly: true
        age_calculation_method:
          type: string
          enum:
            - coverage_start_date
            - plan_start_date
          nullable: true
          readOnly: true
        newly_available:
          type: boolean
        allowed_employment_statuses:
          type: array
          items:
            $ref: '#/components/schemas/EmploymentStatusEnum'
          default:
            - full_time
            - part_time
        union_eligible:
          type: boolean
          nullable: true
        seasonal_eligible:
          type: boolean
          nullable: true
        partner_enrollment_required:
          type: boolean
        child_enrollment_required:
          type: boolean
        create_payroll_benefits:
          type: boolean
        metadata:
          type: object
          additionalProperties:
            type: string
            maxLength: 500
          description: >-
            Up to 50 key-value pairs. Keys max 40 characters, values max 500
            characters. Set a value to empty string to remove a key. On PATCH,
            metadata is merged with existing values.
      required:
        - dependent_count
        - effective_end
        - effective_start
        - group
        - id
        - line_of_coverage
        - member_count
        - plan_details
        - plan_name
        - plan_summary_url
        - plan_type
        - requires_primary_care_provider
    LineOfCoverageEnum:
      type: string
      enum:
        - accident
        - accidental_death
        - cancer
        - commuter_parking
        - commuter_transit
        - dental
        - dependent_care_fsa
        - healthcare_fsa
        - hospital_indemnity
        - hsa
        - life
        - limited_purpose_fsa
        - long_term_disability
        - lump_sum_disability
        - medical
        - short_term_disability
        - supplemental
        - telemedicine
        - vision
        - voluntary_critical_illness
        - voluntary_life
        - voluntary_accidental_death
        - voluntary_short_term_disability
      description: |-
        * `accident` - Accident
        * `accidental_death` - Accidental Death and Dismemberment
        * `cancer` - Cancer
        * `commuter_parking` - Commuter Parking
        * `commuter_transit` - Commuter Transit
        * `dental` - Dental
        * `dependent_care_fsa` - Dependent Care Flexible Spending Account
        * `healthcare_fsa` - Healthcare Flexible Spending Account
        * `hospital_indemnity` - Hospital Indemnity
        * `hsa` - Health Savings Account
        * `life` - Life
        * `limited_purpose_fsa` - Limited Purpose Flexible Spending Account
        * `long_term_disability` - Long Term Disability
        * `lump_sum_disability` - Lump Sum Disability
        * `medical` - Medical
        * `short_term_disability` - Short Term Disability
        * `supplemental` - Supplemental
        * `telemedicine` - Telemedicine
        * `vision` - Vision
        * `voluntary_critical_illness` - Voluntary Critical Illness
        * `voluntary_life` - Voluntary Life
        * `voluntary_accidental_death` - Voluntary Accidental Death
        * `voluntary_short_term_disability` - Voluntary Short Term Disability
    StateEnum:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      type: string
      description: |-
        * `AL` - AL
        * `AK` - AK
        * `AZ` - AZ
        * `AR` - AR
        * `CA` - CA
        * `CO` - CO
        * `CT` - CT
        * `DE` - DE
        * `DC` - DC
        * `FL` - FL
        * `GA` - GA
        * `HI` - HI
        * `ID` - ID
        * `IL` - IL
        * `IN` - IN
        * `IA` - IA
        * `KS` - KS
        * `KY` - KY
        * `LA` - LA
        * `ME` - ME
        * `MD` - MD
        * `MA` - MA
        * `MI` - MI
        * `MN` - MN
        * `MS` - MS
        * `MO` - MO
        * `MT` - MT
        * `NE` - NE
        * `NV` - NV
        * `NH` - NH
        * `NJ` - NJ
        * `NM` - NM
        * `NY` - NY
        * `NC` - NC
        * `ND` - ND
        * `OH` - OH
        * `OK` - OK
        * `OR` - OR
        * `PA` - PA
        * `RI` - RI
        * `SC` - SC
        * `SD` - SD
        * `TN` - TN
        * `TX` - TX
        * `UT` - UT
        * `VT` - VT
        * `VA` - VA
        * `WA` - WA
        * `WV` - WV
        * `WI` - WI
        * `WY` - WY
    EmploymentStatusEnum:
      enum:
        - full_time
        - part_time
        - variable_hours
      type: string
      description: |-
        * `full_time` - Full Time
        * `part_time` - Part Time
        * `variable_hours` - Variable Hours
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````